/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008,2009 by Luigi Ziviani <ziviani_luigi@yahoo.it>.             *
* All Rights Reserved.                                                          *
*********************************************************************************
* Id: propertiesdialog.h,   v 1.1                      2008/01/01               *
*********************************************************************************
* This program is free software; you can redistribute it and/or modify          *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* This program is distributed in the hope that it will be useful,               *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, write to the Free Software                   *
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     * 
********************************************************************************/
#ifndef PROPERTIESDIALOG_H
#define PROPERTIESDIALOG_H

//! The properties dialog class shows audio and video format,
//! file times and general file properties

class PropertiesDialog : public FXDialogBox {
  FXDECLARE(PropertiesDialog)

protected:
  FXIcon 	*accepticon;

  FXLabel       *filename;
  FXLabel       *filetype;
  FXLabel       *filemimetype;
  FXLabel       *filecommand;
  FXLabel       *filesize;
  FXLabel       *directory;

  FXLabel       *videoaspect;

  FXLabel       *audioformat;

  FXLabel       *createtime;
  FXLabel       *modifytime;
  FXLabel       *accesstime;

private:
  PropertiesDialog(){}
  PropertiesDialog(const PropertiesDialog&);
public:
  PropertiesDialog(FXWindow *owner);
  virtual ~PropertiesDialog();
  };

#endif
